/*

  This is a part of the Project Frontier's Source code.

  Copyright (C) 1994-1998 Francis Gastellu
                      aka Lone Runner/Aegis

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

void SIGN_PLUS(void);
void SIGN_MINUS(void);
void OPER_POWER(void);
void OPER_MUL(void);
void OPER_DIV(void);
void OPER_MOD(void);
void OPER_PLUS(void);
void OPER_MINUS(void);
void TEST_E(void);
void TEST_NE(void);
void TEST_B(void);
void TEST_BE(void);
void TEST_A(void);
void TEST_AE(void);
void OPER_NOT(void);
void OPER_AND(void);
void OPER_OR(void);
void LEN(void);
void LOWER(void);
void UPPER(void);
void MID(void);
void LEFT(void);
void RIGHT(void);
void SPACE(void);
void FERR(void);
void CHR(void);
void ASC(void);
void INSTR(void);
void ABORT(void);
void LTRIM(void);
void RTRIM(void);
void TRIM(void);
void RANDOM(void);
void DATE(void);
void TIME(void);
void U_NAME(void);
void U_LDATE(void);
void U_LTIME(void);
void U_LDIR(void);
void U_LOGONS(void);
void U_FUL(void);
void U_FDL(void);
void U_BDLDAY(void);
void U_TIMEON(void);
void U_BDL(void);
void U_BUL(void);
void YEAR(void);
void MONTH(void);
void DAY(void);
void DOW(void);
void HOUR(void);
void MIN(void);
void SEC(void);
void TIMEAP(void);
void VER(void);
void NOCHAR(void);
void YESCHAR(void);
void STRIPATX(void);
void REPLACE(void);
void STRIP(void);
void INKEY(void);
void STRING(void);
void MASK_PWD(void);
void MASK_ALPHA(void);
void MASK_NUM(void);
void MASK_ALNUM(void);
void MASK_FILE(void);
void MASK_PATH(void);
void MASK_ASCII(void);
void CURCONF(void);
void PCBDAT(void);
void PPEPATH(void);
void VALDATE(void);
void VALTIME(void);
void U_MSGRD(void);
void U_MSGWR(void);
void PCBNODE(void);
void READLINE(void);
void SYSOPSEC(void);
void ONLOCAL(void);
void UN_STAT(void);
void UN_NAME(void);
void UN_CITY(void);
void UN_OPER(void);
void CURSEC(void);
void F_GETTOKEN(void);
void MINLEFT(void);
void MINON(void);
void GETENV(void);
void CALLID(void);
void REGAL(void);
void REGAH(void);
void REGBL(void);
void REGBH(void);
void REGCL(void);
void REGCH(void);
void REGDL(void);
void REGDH(void);
void REGAX(void);
void REGBX(void);
void REGCX(void);
void REGDX(void);
void REGSI(void);
void REGDI(void);
void REGF(void);
void REGCF(void);
void REGDS(void);
void REGES(void);
void B2W(void);
void PEEK(void);
void PEEKW(void);
void MKADDR(void);
void EXIST(void);
void I2S(void);
void S2I(void);
void CARRIER(void);
void TOKENSTR(void);
void CDON(void);
void LANGEXT(void);
void ANSION(void);
void VALCC(void);
void FMTCC(void);
void CCTYPE(void);
void GETX(void);
void GETY(void);
void AND(void);
void OR(void);
void XOR(void);
void NOT(void);
void U_PWDHIST(void);
void U_PWDLC(void);
void U_PWDTC(void);
void U_STAT(void);
void F_DEFCOLOR(void);
void ABS(void);
void GRAFMODE(void);
void PSA(void);
void FILEINF(void);
void PPENAME(void);
void MKDATE(void);
void CURCOLOR(void);
void KINKEY(void);
void MINKEY(void);
void MAXNODE(void);
void SLPATH(void);
void HELPPATH(void);
void TEMPPATH(void);
void MODEM(void);
void LOGGEDON(void);
void CALLNUM(void);
void MGETBYTE(void);
void TOKCOUNT(void);
void U_RECNUM(void);
void U_INCONF(void);
void PEEKDW(void);
void F_DBGLEVEL(void);
void SCRTEXT(void);
void SHOWSTAT(void);
void PAGESTAT(void);
void REPLACESTR(void);
void STRIPSTR(void);
void TOBIGSTR(void);
void TOBOOLEAN(void);
void TOBYTE(void);
void TODATE(void);
void TODOUBLE(void);
void TOEDATE(void);
void TOINTEGER(void);
void TOMONEY(void);
void TOREAL(void);
void TOSHORT(void);
void TOINT(void);
void TOTIME(void);
void TODWORD(void);
void TOWORD(void);
void MIXED(void);
void F_ALIAS(void);
void CONFREG(void);
void CONFEXP(void);
void CONFSEL(void);
void CONFSYS(void);
void CONFMW(void);
void LPRINTED(void);
void ISNONSTOP(void);
void ERRCORRECT(void);
void CONFALIAS(void);
void USERALIAS(void);
void CURUSER(void);
void U_LMR(void);
void CHATSTAT(void);
void DEFANS(void);
void LASTANS(void);
void MEGANUM(void);
void EVTTIMEADJ(void);
void ISBITSET(void);
void FMTREAL(void);
void FLAGCNT(void);
void KBDBUFSIZE(void);
void PPLBUFSIZE(void);
void KBDFILUSED(void);
void LOMSGNUM(void);
void HIMSGNUM(void);
void DRIVESPACE(void);
void OUTBYTES(void);
void HICONFNUM(void);
void INBYTES(void);
void CRC32(void);
void PCBMAC(void);
void ACTMSGNUM(void);
void STACKLEFT(void);
void STACKERR(void);
void DGETALIAS(void);
void DBOF(void);
void DCHANGED(void);
void DDECIMALS(void);
void DDELETED(void);
void DEOF(void);
void DERR(void);
void DFIELDS(void);
void DLENGTH(void);
void DNAME(void);
void DRECCOUNT(void);
void DRECNO(void);
void DTYPE(void);
void FNEXT(void);
void DNEXT(void);
void TODDATE(void);
void F_DCLOSEALL(void);
void F_DOPEN(void);
void F_DCLOSE(void);
void F_DSETALIAS(void);
void F_DPACK(void);
void F_DLOCKF(void);
void F_DLOCK(void);
void F_DLOCKR(void);
void F_DUNLOCK(void);
void F_DNOPEN(void);
void F_DNCLOSE(void);
void F_DNCLOSEALL(void);
void F_DNEW(void);
void F_DADD(void);
void F_DAPPEND(void);
void F_DTOP(void);
void F_DGO(void);
void F_DBOTTOM(void);
void F_DSKIP(void);
void F_DBLANK(void);
void F_DDELETE(void);
void F_DRECALL(void);
void F_DTAG(void);
void F_DSEEK(void);
void F_DFBLANK(void);
void F_DGET(void);
void F_DPUT(void);
void F_DFCOPY(void);
void DSELECT(void);
void DCHKSTAT(void);
void PCBACCOUNT(void);
void PCBACCSTAT(void);
void DERRMSG(void);
void F_ACCOUNT(void);
void SCANMSGHDR(void);
void CHECKRIP(void);
void RIPVER(void);
void F_QWKLIMITS(void);
void FINDFIRST(void);
void FINDNEXT(void);


void (*execFunc[270])(void) = {
	SIGN_PLUS,
	SIGN_MINUS,
	OPER_POWER,
	OPER_MUL,
	OPER_DIV,
	OPER_MOD,
	OPER_PLUS,
	OPER_MINUS,
	TEST_E,
	TEST_NE,
	TEST_B,
	TEST_BE,
	TEST_A,
	TEST_AE,
	OPER_NOT,
	OPER_AND,
	OPER_OR,
	LEN,
	LOWER,
	UPPER,
	MID,
	LEFT,
	RIGHT,
	SPACE,
	FERR,
	CHR,
	ASC,
	INSTR,
	ABORT,
	LTRIM,
	RTRIM,
	TRIM,
	RANDOM,
	DATE,
	TIME,
	U_NAME,
	U_LDATE,
	U_LTIME,
	U_LDIR,
	U_LOGONS,
	U_FUL,
	U_FDL,
	U_BDLDAY,
	U_TIMEON,
	U_BDL,
	U_BUL,
	YEAR,
	MONTH,
	DAY,
	DOW,
	HOUR,
	MIN,
	SEC,
	TIMEAP,
	VER,
	NOCHAR,
	YESCHAR,
	STRIPATX,
	REPLACE,
	STRIP,
	INKEY,
	STRING,
	MASK_PWD,
	MASK_ALPHA,
	MASK_NUM,
	MASK_ALNUM,
	MASK_FILE,
	MASK_PATH,
	MASK_ASCII,
	CURCONF,
	PCBDAT,
	PPEPATH,
	VALDATE,
	VALTIME,
	U_MSGRD,
	U_MSGWR,
	PCBNODE,
	READLINE,
	SYSOPSEC,
	ONLOCAL,
	UN_STAT,
	UN_NAME,
	UN_CITY,
	UN_OPER,
	CURSEC,
	F_GETTOKEN,
	MINLEFT,
	MINON,
	GETENV,
	CALLID,
	REGAL,
	REGAH,
	REGBL,
	REGBH,
	REGCL,
	REGCH,
	REGDL,
	REGDH,
	REGAX,
	REGBX,
	REGCX,
	REGDX,
	REGSI,
	REGDI,
	REGF,
	REGCF,
	REGDS,
	REGES,
	B2W,
	PEEK,
	PEEKW,
	MKADDR,
	EXIST,
	I2S,
	S2I,
	CARRIER,
	TOKENSTR,
	CDON,
	LANGEXT,
	ANSION,
	VALCC,
	FMTCC,
	CCTYPE,
	GETX,
	GETY,
	AND,
	OR,
	XOR,
	NOT,
	U_PWDHIST,
	U_PWDLC,
	U_PWDTC,
	U_STAT,
	F_DEFCOLOR,
	ABS,
	GRAFMODE,
	PSA,
	FILEINF,
	PPENAME,
	MKDATE,
	CURCOLOR,
	KINKEY,
	MINKEY,
	MAXNODE,
	SLPATH,
	HELPPATH,
	TEMPPATH,
	MODEM,
	LOGGEDON,
	CALLNUM,
	MGETBYTE,
	TOKCOUNT,
	U_RECNUM,
	U_INCONF,
	PEEKDW,
	F_DBGLEVEL,
	SCRTEXT,
	SHOWSTAT,
	PAGESTAT,
	REPLACESTR,
	STRIPSTR,
	TOBIGSTR,
	TOBOOLEAN,
	TOBYTE,
	TODATE,
	TODOUBLE,
	TOEDATE,
	TOINTEGER,
	TOMONEY,
	TOREAL,
	TOSHORT,
	TOINT,
	TOTIME,
	TODWORD,
	TOWORD,
	MIXED,
	F_ALIAS,
	CONFREG,
	CONFEXP,
	CONFSEL,
	CONFSYS,
	CONFMW,
	LPRINTED,
	ISNONSTOP,
	ERRCORRECT,
	CONFALIAS,
	USERALIAS,
	CURUSER,
	U_LMR,
	CHATSTAT,
	DEFANS,
	LASTANS,
	MEGANUM,
	EVTTIMEADJ,
	ISBITSET,
	FMTREAL,
	FLAGCNT,
	KBDBUFSIZE,
	PPLBUFSIZE,
	KBDFILUSED,
	LOMSGNUM,
	HIMSGNUM,
	DRIVESPACE,
	OUTBYTES,
	HICONFNUM,
	INBYTES,
	CRC32,
	PCBMAC,
	ACTMSGNUM,
	STACKLEFT,
	STACKERR,
	DGETALIAS,
	DBOF,
	DCHANGED,
	DDECIMALS,
	DDELETED,
	DEOF,
	DERR,
	DFIELDS,
	DLENGTH,
	DNAME,
	DRECCOUNT,
	DRECNO,
	DTYPE,
	FNEXT,
	DNEXT,
	TODDATE,
	F_DCLOSEALL,
	F_DOPEN,
	F_DCLOSE,
	F_DSETALIAS,
	F_DPACK,
	F_DLOCKF,
	F_DLOCK,
	F_DLOCKR,
	F_DUNLOCK,
	F_DNOPEN,
	F_DNCLOSE,
	F_DNCLOSEALL,
	F_DNEW,
	F_DADD,
	F_DAPPEND,
	F_DTOP,
	F_DGO,
	F_DBOTTOM,
	F_DSKIP,
	F_DBLANK,
	F_DDELETE,
	F_DRECALL,
	F_DTAG,
	F_DSEEK,
	F_DFBLANK,
	F_DGET,
	F_DPUT,
	F_DFCOPY,
	DSELECT,
	DCHKSTAT,
	PCBACCOUNT,
	PCBACCSTAT,
	DERRMSG,
	F_ACCOUNT,
	SCANMSGHDR,
	CHECKRIP,
	RIPVER,
	F_QWKLIMITS,
	FINDFIRST,
	FINDNEXT
	};


struct uFormat{
	char	*name;
	short	argMini;
	short	argMaxi;
	int		nUsed;
};

uFormat Function[] = {
   ""/*+"*/,             1,        0,	 0,  /* 0xFFFE*/
   ""/*-"*/,             1,        0,	 0,  /* 0xFFFD*/
   ""/*^"*/,             2,        0,	 0,  /* 0xFFFC*/
   ""/**"*/,             2,        0,	 0,  /* 0xFFFB*/
   ""/*/"*/,             2,        0,	 0,  /* 0xFFFA*/
   ""/*%"*/,             2,        0,	 0,  /* 0xFFF9*/
   ""/*+"*/,             2,        0,	 0,  /* 0xFFF8*/
   ""/*-"*/,             2,        0,	 0,  /* 0xFFF7*/
   ""/*=="*/,            2,        0,	 0,  /* 0xFFF6*/
   ""/*<>"*/,            2,        0,	 0,  /* 0xFFF5*/
   ""/*<"*/,             2,        0,	 0,  /* 0xFFF4*/
   ""/*<="*/,            2,        0,	 0,  /* 0xFFF3*/
   ""/*>"*/,             2,        0,	 0,  /* 0xFFF2*/
   ""/*>="*/,            2,        0,	 0,  /* 0xFFF1*/
   ""/*!"*/,             1,        0,	 0,  /* 0xFFF0*/
   ""/*&&"*/,            2,        0,	 0,  /* 0xFFEF*/
   ""/*||"*/,            2,        0,	 0,  /* 0xFFEE*/
   ""/*Len"*/,          1,        0,	 0,  /* 0xFFEC*/
   ""/*Lower"*/,        1,        0,	 0,  /* 0xFFEB*/
   ""/*Upper"*/,        1,        0,     0,  /* 0xFFEA*/
   ""/*Mid"*/,          3,        0,     0,  /* 0xFFE9*/
   ""/*Left"*/,         2,        0,     0,  /* 0xFFE8*/
   ""/*Right"*/,        2,        0,     0,  /* 0xFFE7*/
   ""/*Space"*/,        1,        0,     0,  /* 0xFFE6*/
   ""/*Ferr"*/,         1,        0,     0,  /* 0xFFE5*/
   ""/*Chr"*/,          1,        0,     0,  /* 0xFFE4*/
   ""/*Asc"*/,          1,        0,     0,  /* 0xFFE3*/
   ""/*InStr"*/,        2,        0,     0,  /* 0xFFE2*/
   ""/*Abort"*/,        0,        0,     0,  /* 0xFFE1*/
   ""/*LTrim"*/,        2,        0,     0,  /* 0xFFE0*/
   ""/*RTrim"*/,        2,        0,     0,  /* 0xFFDF*/
   ""/*Trim"*/,         2,        0,     0,  /* 0xFFDE*/
   ""/*Random"*/,       1,        0,     0,  /* 0xFFDD*/
   ""/*Date"*/,         0,        0,     0,  /* 0xFFDC*/
   ""/*Time"*/,         0,        0,     0,  /* 0xFFDB*/
   ""/*U_Name"*/,       0,        0,     0,  /* 0xFFDA*/
   ""/*U_LDate"*/,      0,        0,     0,  /* 0xFFD9*/
   ""/*U_LTime"*/,      0,        0,     0,  /* 0xFFD8*/
   ""/*U_LDir"*/,       0,        0,     0,  /* 0xFFD7*/
   ""/*U_Logons"*/,     0,        0,     0,  /* 0xFFD6*/
   ""/*U_Ful"*/,        0,        0,     0,  /* 0xFFD5*/
   ""/*U_Fdl"*/,        0,        0,     0,  /* 0xFFD4*/
   ""/*U_BdlDay"*/,     0,        0,     0,  /* 0xFFD3*/
   ""/*U_TimeOn"*/,     0,        0,     0,  /* 0xFFD2*/
   ""/*U_Bdl"*/,        0,        0,     0,  /* 0xFFD1*/
   ""/*U_Bul"*/,        0,        0,     0,  /* 0xFFD0*/
   ""/*Year"*/,         1,        0,     0,  /* 0xFFCF*/
   ""/*Month"*/,        1,        0,     0,  /* 0xFFCE*/
   ""/*Day"*/,          1,        0,     0,  /* 0xFFCD*/
   ""/*Dow"*/,          1,        0,     0,  /* 0xFFCC*/
   ""/*Hour"*/,         1,        0,     0,  /* 0xFFCB*/
   ""/*Min"*/,          1,        0,     0,  /* 0xFFCA*/
   ""/*Sec"*/,          1,        0,     0,  /* 0xFFC9*/
   ""/*TimeAp"*/,       1,        0,     0,  /* 0xFFC8*/
   ""/*Ver"*/,          0,        0,     0,  /* 0xFFC7*/
   ""/*NoChar"*/,       0,        0,     0,  /* 0xFFC6*/
   ""/*YesChar"*/,      0,        0,     0,  /* 0xFFC5*/
   ""/*StripAtx"*/,     1,        0,     0,  /* 0xFFC4*/
   ""/*Replace"*/,      3,        0,     0,  /* 0xFFC3*/
   ""/*Strip"*/,        2,        0,     0,  /* 0xFFC2*/
   ""/*Inkey"*/,        0,        0,     0,  /* 0xFFC1*/
   ""/*String"*/,       1,        0,     0,  /* 0xFFC0*/
   ""/*Mask_Pwd"*/,     0,        0,     0,  /* 0xFFBF*/
   ""/*Mask_Alpha"*/,   0,        0,     0,  /* 0xFFBE*/
   ""/*Mask_Num"*/,     0,        0,     0,  /* 0xFFBD*/
   ""/*Mask_AlNum"*/,   0,        0,     0,  /* 0xFFBC*/
   ""/*Mask_File"*/,    0,        0,     0,  /* 0xFFBB*/
   ""/*Mask_Path"*/,    0,        0,     0,  /* 0xFFBA*/
   ""/*Mask_Ascii"*/,   0,        0,     0,  /* 0xFFB9*/
   ""/*CurConf"*/,      0,        0,     0,  /* 0xFFB8*/
   ""/*PcbDat"*/,       0,        0,     0,  /* 0xFFB7*/
   ""/*PpePath"*/,      0,        0,     0,  /* 0xFFB6*/
   ""/*ValDate"*/,      1,        0,     0,  /* 0xFFB5*/
   ""/*ValTime"*/,      1,        0,     0,  /* 0xFFB4*/
   ""/*U_MsgRd"*/,      0,        0,     0,  /* 0xFFB3*/
   ""/*U_MsgWr"*/,      0,        0,     0,  /* 0xFFB2*/
   ""/*PcbNode"*/,      0,        0,     0,  /* 0xFFB1*/
   ""/*ReadLine"*/,     2,        0,     0,  /* 0xFFB0*/
   ""/*SysopSec"*/,     0,        0,     0,  /* 0xFFAF*/
   ""/*OnLocal"*/,      0,        0,     0,  /* 0xFFAE*/
   ""/*UN_Stat"*/,      0,        0,     0,  /* 0xFFAD*/
   ""/*UN_Name"*/,      0,        0,     0,  /* 0xFFAC*/
   ""/*UN_City"*/,      0,        0,     0,  /* 0xFFAB*/
   ""/*UN_Oper"*/,      0,        0,     0,  /* 0xFFAA*/
   ""/*CurSec"*/,       0,        0,     0,  /* 0xFFA9*/
   ""/*GetToken"*/,     0,        0,     0,  /* 0xFFA8*/
   ""/*MinLeft"*/,      0,        0,     0,  /* 0xFFA7*/
   ""/*MinOn"*/,        0,        0,     0,  /* 0xFFA6*/
   ""/*GetEnv"*/,       1,        0,     0,  /* 0xFFA5*/
   ""/*CallId"*/,       0,        0,     0,  /* 0xFFA4*/
   ""/*RegAL"*/,        0,        0,     0,  /* 0xFFA3*/
   ""/*RegAH"*/,        0,        0,     0,  /* 0xFFA2*/
   ""/*RegBL"*/,        0,        0,     0,  /* 0xFFA1*/
   ""/*RegBH"*/,        0,        0,     0,  /* 0xFFA0*/
   ""/*RegCL"*/,        0,        0,     0,  /* 0xFF9F*/
   ""/*RegCH"*/,        0,        0,     0,  /* 0xFF9E*/
   ""/*RegDL"*/,        0,        0,     0,  /* 0xFF9D*/
   ""/*RegDH"*/,        0,        0,     0,  /* 0xFF9C*/
   ""/*RegAX"*/,        0,        0,     0,  /* 0xFF9B*/
   ""/*RegBX"*/,        0,        0,     0,  /* 0xFF9A*/
   ""/*RegCX"*/,        0,        0,     0,  /* 0xFF99*/
   ""/*RegDX"*/,        0,        0,     0,  /* 0xFF98*/
   ""/*RegSI"*/,        0,        0,     0,  /* 0xFF97*/
   ""/*RegDI"*/,        0,        0,     0,  /* 0xFF96*/
   ""/*RegF"*/,         0,        0,     0,  /* 0xFF95*/
   ""/*RegCF"*/,        0,        0,     0,  /* 0xFF94*/
   ""/*RegDS"*/,        0,        0,     0,  /* 0xFF93*/
   ""/*RegES"*/,        0,        0,     0,  /* 0xFF92*/
   ""/*B2W"*/,          2,        0,     0,  /* 0xFF91*/
   ""/*Peek"*/,         1,        0,     0,  /* 0xFF90*/
   ""/*PeekW"*/,        1,        0,     0,  /* 0xFF8F*/
   ""/*MkAddr"*/,       2,        0,     0,  /* 0xFF8E*/
   ""/*Exist"*/,        1,        0,     0,  /* 0xFF8D*/
   ""/*I2S"*/,          2,        0,     0,  /* 0xFF8C*/
   ""/*S2I"*/,          2,        0,     0,  /* 0xFF8B*/
   ""/*Carrier"*/,      0,        0,     0,  /* 0xFF8A*/
   ""/*TokenStr"*/,     0,        0,     0,  /* 0xFF89*/
   ""/*CDOn"*/,         0,        0,     0,  /* 0xFF88*/
   ""/*LangExt"*/,      0,        0,     0,  /* 0xFF87*/
   ""/*AnsiOn"*/,       0,        0,     0,  /* 0xFF86*/
   ""/*ValCC"*/,        1,        0,     0,  /* 0xFF85*/
   ""/*FmtCC"*/,        1,        0,     0,  /* 0xFF84*/
   ""/*CCType"*/,       1,        0,     0,  /* 0xFF83*/
   ""/*GetX"*/,         0,        0,     0,  /* 0xFF82*/
   ""/*GetY"*/,         0,        0,     0,  /* 0xFF81*/
   ""/*And"*/,          2,        0,     0,  /* 0xFF80*/
   "OR"/*Or"*/,           2,        0,     0,  /* 0xFF7F*/
   "XOR"/*XOr"*/,          2,        0,     0,  /* 0xFF7E*/
   ""/*Not"*/,          1,        0,     0,  /* 0xFF7D*/
   ""/*U_PwdHist"*/,    1,        0,     0,  /* 0xFF7C*/
   ""/*U_PwdLc"*/,      0,        0,     0,  /* 0xFF7B*/
   ""/*U_PwdTc"*/,      0,        0,     0,  /* 0xFF7A*/
   ""/*U_Stat"*/,       1,        0,     0,  /* 0xFF79*/
   ""/*DefColor"*/,     0,        0,     0,  /* 0xFF78*/
   ""/*Abs"*/,          1,        0,     0,  /* 0xFF77*/
   ""/*GrafMode"*/,     0,        0,     0,  /* 0xFF76*/
   ""/*Psa"*/,          1,        0,     0,  /* 0xFF75*/
   ""/*FileInf"*/,      2,        0,     0,  /* 0xFF74*/
   ""/*PPEName"*/,      0,        0,     0,  /* 0xFF73*/
   ""/*MkDate"*/,       3,        0,     0,  /* 0xFF72*/
   ""/*CurColor"*/,     0,        0,     0,  /* 0xFF71*/
   ""/*KInkey"*/,       0,        0,     0,  /* 0xFF70*/
   ""/*MInkey"*/,       0,        0,     0,  /* 0xFF6F*/
   ""/*MaxNode"*/,      0,        0,     0,  /* 0xFF6E*/
   ""/*SlPath"*/,       0,        0,     0,  /* 0xFF6D*/
   ""/*HelpPath"*/,     0,        0,     0,  /* 0xFF6C*/
   ""/*TempPath"*/,     0,        0,     0,  /* 0xFF6B*/
   ""/*Modem"*/,        0,        0,     0,  /* 0xFF6A*/
   ""/*LoggedOn"*/,     0,        0,     0,  /* 0xFF69*/
   ""/*CallNum"*/,      0,        0,     0,  /* 0xFF68*/
   ""/*MGetByte"*/,     0,        0,     0,  /* 0xFF67*/
   ""/*TokCount"*/,     0,        0,     0,  /* 0xFF66*/
   ""/*U_RecNum"*/,     1,        0,     0,  /* 0xFF65*/
   ""/*U_InConf"*/,     2,        0,     0,  /* 0xFF64*/
   ""/*PeekDW"*/,       1,        0,     0,  /* 0xFF63*/
   ""/*DbgLevel"*/,     0,        0,     0,  /* 0xFF62*/
   ""/*ScrText"*/,      4,        0,     0,  /* 0xFF61*/
   ""/*ShowStat"*/,     0,        0,     0,  /* 0xFF60*/
   ""/*PageStat"*/,     0,        0,     0,  /* 0xFF5F*/
   ""/*ReplaceStr"*/,   3,        0,     0,  /* 0xFF5E*/
   ""/*StripStr"*/,     2,        0,     0,  /* 0xFF5D*/
   ""/*ToBigStr"*/,     1,        0,     0,  /* 0xFF5C*/
   ""/*ToBoolean"*/,    1,        0,     0,  /* 0xFF5B*/
   ""/*ToByte"*/,       1,        0,     0,  /* 0xFF5A*/
   ""/*ToDate"*/,       1,        0,     0,  /* 0xFF59*/
   ""/*ToDouble"*/,     1,        0,     0,  /* 0xFF58*/
   ""/*ToEDate"*/,      1,        0,     0,  /* 0xFF57*/
   ""/*ToInteger"*/,    1,        0,     0,  /* 0xFF56*/
   ""/*ToMoney"*/,      1,        0,     0,  /* 0xFF55*/
   ""/*ToReal"*/,       1,        0,     0,  /* 0xFF54*/
   ""/*ToShort"*/,      1,        0,     0,  /* 0xFF53*/
   ""/*ToInt"*/,        1,        0,     0,  /* 0xFF52*/
   ""/*ToTime"*/,       1,        0,     0,  /* 0xFF51*/
   ""/*ToDWord"*/,      1,        0,     0,  /* 0xFF50*/
   ""/*ToWord"*/,       1,        0,     0,  /* 0xFF4F*/
   ""/*Mixed"*/,        1,        0,     0,  /* 0xFF4E*/
   ""/*Alias"*/,        0,        0,     0,  /* 0xFF4D*/
   ""/*ConfReg"*/,      1,        0,     0,  /* 0xFF4C*/
   ""/*ConfExp"*/,      1,        0,     0,  /* 0xFF4B*/
   ""/*ConfSel"*/,      1,        0,     0,  /* 0xFF4A*/
   ""/*ConfSys"*/,      1,        0,     0,  /* 0xFF49*/
   ""/*ConfMW"*/,       1,        0,     0,  /* 0xFF48*/
   ""/*LPrinted"*/,     0,        0,     0,  /* 0xFF47*/
   ""/*IsNonStop"*/,    0,        0,     0,  /* 0xFF46*/
   ""/*ErrCorrect"*/,   0,        0,     0,  /* 0xFF45*/
   ""/*ConfAlias"*/,    0,        0,     0,  /* 0xFF44*/
   ""/*UserAlias"*/,    0,        0,     0,  /* 0xFF43*/
   ""/*CurUser"*/,      0,        0,     0,  /* 0xFF42*/
   ""/*U_Lmr"*/,        1,        0,     0,  /* 0xFF41*/
   ""/*ChatStat"*/,     0,        0,     0,  /* 0xFF40*/
   ""/*DefAns"*/,       0,        0,     0,  /* 0xFF3F*/
   ""/*LastAns"*/,      0,        0,     0,  /* 0xFF3E*/
   ""/*MegaNum"*/,      1,        0,     0,  /* 0xFF3D*/
   ""/*EvtTimeAdj"*/,   0,        0,     0,  /* 0xFF3C*/
   ""/*IsBitSet"*/,     2,        0,     0,  /* 0xFF3B*/
   ""/*FmtReal"*/,      3,        0,     0,  /* 0xFF3A*/
   ""/*FlagCnt"*/,      0,        0,     0,  /* 0xFF39*/
   ""/*KbdBufSize"*/,   0,        0,     0,  /* 0xFF38*/
   ""/*PPLBufSize"*/,   0,        0,     0,  /* 0xFF37*/
   ""/*KbdFilUsed"*/,   0,        0,     0,  /* 0xFF36*/
   ""/*LoMsgNum"*/,     0,        0,     0,  /* 0xFF35*/
   ""/*HiMsgNum"*/,     0,        0,     0,  /* 0xFF34*/
   ""/*DriveSpace"*/,   1,        0,     0,  /* 0xFF33*/
   ""/*OutBytes"*/,     0,        0,     0,  /* 0xFF32*/
   ""/*HiConfNum"*/,    0,        0,     0,  /* 0xFF31*/
   ""/*InBytes"*/,      0,        0,     0,  /* 0xFF30*/
   ""/*Crc32"*/,        2,        0,     0,  /* 0xFF2F*/
   ""/*PCBMac"*/,       1,        0,     0,  /* 0xFF2E*/
   ""/*ActMsgNum"*/,    0,        0,     0,  /* 0xFF2D*/
   ""/*StackLeft"*/,    0,        0,     0,  /* 0xFF2C*/
   ""/*StackErr"*/,     0,        0,     0,  /* 0xFF2B*/
   ""/*DGetAlias"*/,    1,        0,     0,  /* 0xFF2A*/
   ""/*DBof"*/,         1,        0,     0,  /* 0xFF29*/
   ""/*DChanged"*/,     1,        0,     0,  /* 0xFF28*/
   ""/*DDecimals"*/,    2,        0,     0,  /* 0xFF27*/
   ""/*DDeleted"*/,     1,        0,     0,  /* 0xFF26*/
   ""/*DEof"*/,         1,        0,     0,  /* 0xFF25*/
   ""/*DErr"*/,         1,        0,     0,  /* 0xFF24*/
   ""/*DFields"*/,      1,        0,     0,  /* 0xFF23*/
   ""/*DLength"*/,      2,        0,     0,  /* 0xFF22*/
   ""/*DName"*/,        2,        0,     0,  /* 0xFF21*/
   ""/*DRecCount"*/,    1,        0,     0,  /* 0xFF20*/
   ""/*DRecNo"*/,       1,        0,     0,  /* 0xFF1F*/
   ""/*DType"*/,        2,        0,     0,  /* 0xFF1E*/
   ""/*FNext"*/,        0,        0,     0,  /* 0xFF1D*/
   ""/*DNext"*/,        0,        0,     0,  /* 0xFF1C*/
   ""/*ToDDate"*/,      1,        0,     0,  /* 0xFF1B*/
   ""/*DCloseAll"*/,    0,        0,     0,  /* 0xFF1A*/
   ""/*DOpen"*/,        3,        0,     0,  /* 0xFF19*/
   ""/*DClose"*/,       1,        0,     0,  /* 0xFF18*/
   ""/*DSetAlias"*/,    2,        0,     0,  /* 0xFF17*/
   ""/*DPack"*/,        1,        0,     0,  /* 0xFF16*/
   ""/*DLockF"*/,       1,        0,     0,  /* 0xFF15*/
   ""/*DLock"*/,        1,        0,     0,  /* 0xFF14*/
   ""/*DLockR"*/,       2,        0,     0,  /* 0xFF13*/
   ""/*DUnlock"*/,      1,        0,     0,  /* 0xFF12*/
   ""/*DNOpen"*/,       2,        0,     0,  /* 0xFF11*/
   ""/*DNClose"*/,      2,        0,     0,  /* 0xFF10*/
   ""/*DNCloseAll"*/,   1,        0,     0,  /* 0xFF0F*/
   ""/*DNew"*/,         1,        0,     0,  /* 0xFF0E*/
   ""/*DAdd"*/,         1,        0,     0,  /* 0xFF0D*/
   ""/*DAppend"*/,      1,        0,     0,  /* 0xFF0C*/
   ""/*DTop"*/,         1,        0,     0,  /* 0xFF0B*/
   ""/*DGo"*/,          2,        0,     0,  /* 0xFF0A*/
   ""/*DBottom"*/,      1,        0,     0,  /* 0xFF09*/
   ""/*DSkip"*/,        2,        0,     0,  /* 0xFF08*/
   ""/*DBlank"*/,       1,        0,     0,  /* 0xFF07*/
   ""/*DDelete"*/,      1,        0,     0,  /* 0xFF06*/
   ""/*DRecall"*/,      1,        0,     0,  /* 0xFF05*/
   ""/*DTag"*/,         2,        0,     0,  /* 0xFF04*/
   ""/*DSeek"*/,        2,        0,     0,  /* 0xFF03*/
   ""/*DFBlank"*/,      2,        0,     0,  /* 0xFF02*/
   ""/*DGet"*/,         2,        0,     0,  /* 0xFF01*/
   ""/*DPut"*/,         3,        0,     0,  /* 0xFF00*/
   ""/*DFCopy"*/,       4,        0,     0,  /* 0xFEFF*/
   ""/*DSelect"*/,      1,        0,     0,  /* 0xFEFE*/
   ""/*DChkStat"*/,     1,        0,     0,  /* 0xFEFD*/
   ""/*PCBAccount"*/,   1,        0,     0,  /* 0xFEFC*/
   ""/*PCBAccStat"*/,   1,        0,     0,  /* 0xFEFB*/
   ""/*DErrMsg"*/,      1,        0,     0,  /* 0xFEFA*/
   ""/*Account"*/,      1,        0,     0,  /* 0xFEF9*/
   ""/*ScanMsgHdr"*/,   4,        0,     0,  /* 0xFEF8*/
   ""/*CheckRip"*/,     0,        0,     0,  /* 0xFEF7*/
   ""/*RipVer"*/,       0,        0,     0,  /* 0xFEF6*/
   ""/*QwkLimits"*/,    1,        0,     0,  /* 0xFEF5*/
   ""/*FindFirst"*/,    1,        0,     0,  /* 0xFEF4*/
   ""/*FindNext"*/,     0,        0,     0   /* 0xFEF3*/
};



